Bug 2636 - Repository indexes and packages seems to be b0rked
: Repository indexes and packages seems to be b0rked
Status: RESOLVED DUPLICATE of bug 2620
Product: maemo.org Website
Repositories
: 3.2
: 770 Maemo
: High major (vote)
: ---
Assigned To: unassigned
: repositories@maemo.bugs
: http://repository.maemo.org/
:
:
:
  Show dependency tree
 
Reported: 2007-12-22 11:55 UTC by Christian Stelter
Modified: 2007-12-22 15:58 UTC (History)
0 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Christian Stelter (reporter) 2007-12-22 11:55:40 UTC
STEPS TO REPRODUCE THE PROBLEM:

Try install a package and you will get a "Failed to fetch: <package>: Filesize
mismatch"

EXPECTED OUTCOME:

A downloaded and installed package.

ACTUAL OUTCOME:

Installing canola2 2.0.0~beta1-maemo.1
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/e/epsilon/epsi
lon0-bin_0.3.0.011-maemo.2_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/e/etk/libetk0-
engine-all_0.1.0.007-maemo.4_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/e/efl-core/efl
-core_0.9.1.041-maemo.3_all.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/pool/maemo3.2/free/binary/libncurses
5_5.4-3.osso1_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/pool/maemo3.2/free/binary/libreadlin
e4_4.3-10_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/s/sqlite3/libs
qlite3-0_3.3.5-0.2osso1_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/libf/libffi4/l
ibffi4_4.1.0-1osso1_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/p/python2.5/py
thon2.5_2.5.1-1osso4_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/p/python-xml/p
ython2.5-xml_0.8.4-1osso9_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/p/python-dbus/
python2.5-dbus_0.71-1osso8_armel.deb: Size mismatch
Failed to fetch
http://repository.maemo.org/extras/pool/bora/free/p/python-gobje
ct/python2.5-gobject_2.12.2-1osso4_armel.deb: Size mismatch

REPRODUCIBILITY:

always with any package I've tried

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

Seems to be not only a bora specific-problem.

After downloading the listed packages manually - the Application Manager
complains that it is unable to install "Incompatible application package."
Comment 1 Christian Stelter (reporter) 2007-12-22 11:57:21 UTC
see also http://pastebin.com/d63df839

seen on #maemo
Comment 2 Andrew Flegg maemo.org 2007-12-22 15:58:08 UTC
This is the same problem with repository.maemo.org as first reported in #2620

*** This bug has been marked as a duplicate of bug 2620 ***